This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 478199 - Identity Linking (Correlation)
Identity Linking (Correlation)
Status: MODIFIED
Product: penrose
Classification: Retired
Component: Engine (Show other bugs)
2.0
All Linux
high Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 03:08 EST by Chandrasekar Kannan
Modified: 2016-01-28 17:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 03:08:09 EST
Identity Linking modules links multiple identities into a global unified identity. There's no need to have a common key to link between identities. Penrose can link identities from Active Directory, NIS and LDAP into a single identities. The linkage information can be stored in database as well as regular LDAP directory (using SeeAlso)

Identity Linking add-on module for Penrose Studio is also included to make it easier to accommodate the linking process. 

=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '3',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '1',
          'components' => [
                            {
                              'name' => 'Engine',
                              'id' => '10009'
                            },
                            {
                              'name' => 'Studio',
                              'id' => '10010'
                            }
                          ],
          'reporter' => 'jimyang',
          'key' => 'PENROSE-227',
          'assignee' => 'jimyang',
          'summary' => 'Identity Linking/Correlation',
          'id' => '10724',
          'updated' => '2008-06-27 17:13:42.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2008-08-28 00:00:00.0',
                             'sequence' => '30',
                             'name' => 'Penrose-2.0',
                             'released' => 'false',
                             'id' => '10132',
                             'archived' => 'false'
                           }
                         ],
          'affectsVersions' => [],
          'description' => 'Identity Linking modules links multiple identities into a global unified identity. There's no need to have a common key to link between identities. Penrose can link identities from Active Directory, NIS and LDAP into a single identities. The linkage information can be stored in database as well as regular LDAP directory (using SeeAlso)

Identity Linking add-on module for Penrose Studio is also included to make it easier to accommodate the linking process. ',
          'created' => '2007-06-18 17:29:02.0',
          'type' => '2'
        };


=========================================================
Comment 1 Endi Sukma Dewata 2009-01-27 13:01:25 EST
This feature is complete. It is a part of Identity Federation feature. Limitation: the linkage information can only be stored in an LDAP server.

Note You need to log in before you can comment on or make changes to this bug.